<?php
/*
 * member/DaoMemberMailReject.class.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 */
require_once( dirname( __FILE__ )
.DIRECTORY_SEPARATOR.'package_define.inc.php');
require_once( dirname( __FILE__ )
.DIRECTORY_SEPARATOR.'PackageConfig.class.php');
require_once( dirname(dirname( __FILE__ ))
.DIRECTORY_SEPARATOR.'database2'
.DIRECTORY_SEPARATOR.'AbstractData.class.php');
/**
 * メンバーメールメールマガジン種別テーブルレコード対応 DAOクラス
 * 
 * @package member メンバー管理パッケージ
 * @version 1.0.0
 * @author  <m_nakashima@users.sourceforge.jp>
 * @since PHP 4.0
 */
class member_DaoMemberMailReject extends database2_AbstractData {

	var $list_number;
	var $list_id;
	var $list_name;
	var $description;
	var $status_flag	= 1;
	var $updated_date;
	var $registered_date;
	var $owner_id;
	var $modifier_id;
		
	/**
	 * コンストラクタ
	 */
	function member_DaoMemberMailReject(){
	}
	/**
	 * 指定IDの会員がこのメールマガジン種別に登録されているか確認します
	 */
	function isBelongTo( $dbo, $memberId ) {
		$sql	= 'SELECT COUNT(*) FROM '.TABLE_NAME_MEMBER_MAIL_REJECT_MEMBER
			.' WHERE member_id='.$dbo->quote($memberId)
			.' AND list_id='.$dbo->quote($this->list_id)
		;
		$count	= $dbo->queryOne( $sql );
		if( $count === false ) {
			return true;
		} else if( $count > 0 ){
			return true;
		}
		return false;
	}
	
}
?>